.video-section__media:not(.video-section__media--abs) {
  position: relative;
}

.video-section__media:not(.use-aspect-ratio) {
  padding-bottom: var(--video-ratio, 56.25%);
}

.video-section__media.deferred-media:after {
  content: none;
}

.video-section__poster.deferred-media__poster:focus {
  outline-offset: 0.3rem;
}

.video-section__media iframe {
  background-color: rgba(var(--color-foreground), 0.03);
  border: 0;
}

.video-section__media.use-aspect-ratio iframe {
  clip-path: inset(1px 1px 1px 1px round min(var(--border-radius, .8rem), .8rem));
}

.video-section__poster:not(.use-aspect-ratio),
.video-section__media:not(.use-aspect-ratio) iframe,
.video-section__media:not(.use-aspect-ratio) video {
  position: absolute;
  width: 100%;
  height: 100%;
}

.video-section__media video {
  object-fit: cover;
  object-position: center center;
}

.video-section__poster {
  border-radius: min(var(--border-radius, .8rem), .8rem);
}